<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten.slave.BuildSlave</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="bitten-module.html">Package&nbsp;bitten</a> ::
        <a href="bitten.slave-module.html">Module&nbsp;slave</a> ::
        Class&nbsp;BuildSlave
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class BuildSlave</h1><p class="nomargin-top"></p>
<pre class="base-tree">
object --+
         |
        <strong class="uidshort">BuildSlave</strong>
</pre>

<hr />
HTTP client implementation for the build slave.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Instance Methods</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.slave.BuildSlave-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">urls</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">config</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">dry_run</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">work_dir</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">build_dir</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">build_${build}</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">keep_files</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">single_build</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">poll_interval</span>=<span class="summary-sig-default">300</span>,
        <span class="summary-sig-arg">keepalive_interval</span>=<span class="summary-sig-default">60</span>,
        <span class="summary-sig-arg">username</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">dump_reports</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">no_loop</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">form_auth</span>=<span class="summary-sig-default">False</span>)</span><br />
      Create the build slave instance.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="request"></a><span class="summary-sig-name">request</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">method</span>,
        <span class="summary-sig-arg">url</span>,
        <span class="summary-sig-arg">body</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">headers</span>=<span class="summary-sig-default">None</span>)</span></td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="run"></a><span class="summary-sig-name">run</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="quit"></a><span class="summary-sig-name">quit</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Properties</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="bitten.slave.BuildSlave-class.html#opener" class="summary-name">opener</a>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Method Details</span></td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">urls</span>,
        <span class="sig-arg">name</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">config</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">dry_run</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">work_dir</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">build_dir</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">build_${build}</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">keep_files</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">single_build</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">poll_interval</span>=<span class="sig-default">300</span>,
        <span class="sig-arg">keepalive_interval</span>=<span class="sig-default">60</span>,
        <span class="sig-arg">username</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">dump_reports</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">no_loop</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">form_auth</span>=<span class="sig-default">False</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Create the build slave instance.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>urls</code></strong> - a list of URLs of the build masters to connect to, or a
single-element list containing the path to a build recipe
file</li>
        <li><strong class="pname"><code>name</code></strong> - the name with which this slave should identify itself</li>
        <li><strong class="pname"><code>config</code></strong> - the path to the slave configuration file</li>
        <li><strong class="pname"><code>dry_run</code></strong> - wether the build outcome should not be reported back
to the master</li>
        <li><strong class="pname"><code>work_dir</code></strong> - the working directory to use for build execution</li>
        <li><strong class="pname"><code>build_dir</code></strong> - the pattern to use for naming the build subdir</li>
        <li><strong class="pname"><code>keep_files</code></strong> - whether files and directories created for build
execution should be kept when done</li>
        <li><strong class="pname"><code>single_build</code></strong> - whether this slave should exit after completing a
single build, or continue processing builds forever</li>
        <li><strong class="pname"><code>poll_interval</code></strong> - the time in seconds to wait between requesting
builds from the build master (default is five
minutes)</li>
        <li><strong class="pname"><code>keepalive_interval</code></strong> - the time in seconds to wait between sending
keepalive heartbeats (default is 30 seconds)</li>
        <li><strong class="pname"><code>username</code></strong> - the username to use when authentication against the
build master is requested</li>
        <li><strong class="pname"><code>password</code></strong> - the password to use when authentication is needed</li>
        <li><strong class="pname"><code>dump_reports</code></strong> - whether report data should be written to the
standard output, in addition to being transmitted
to the build master</li>
        <li><strong class="pname"><code>no_loop</code></strong> - for this slave to just perform a single check, regardless
of whether a build is done or not</li>
        <li><strong class="pname"><code>form_auth</code></strong> - login using AccountManager HTML form instead of
HTTP authentication for all urls</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== PROPERTY DETAILS ==================== -->
<a name="section-PropertyDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Property Details</span></td>
</tr>
</table>
<a name="opener"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">opener</h3>
  
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="bitten.slave.BuildSlave-class.html#_get_opener" class="summary-sig-name" onclick="show_private();">_get_opener</a>(<span class="summary-sig-arg">self</span>)</span>
    </dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:36 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
